searchData={"content_type":"text/markdown","items":[{"doc":"Firebird driver for Elixir.","ref":"Firebirdex.html","title":"Firebirdex","type":"module"},{"doc":"","ref":"Firebirdex.html#child_spec/1","title":"Firebirdex.child_spec/1","type":"function"},{"doc":"","ref":"Firebirdex.html#close/3","title":"Firebirdex.close/3","type":"function"},{"doc":"","ref":"Firebirdex.html#close!/3","title":"Firebirdex.close!/3","type":"function"},{"doc":"","ref":"Firebirdex.html#execute/4","title":"Firebirdex.execute/4","type":"function"},{"doc":"","ref":"Firebirdex.html#execute!/4","title":"Firebirdex.execute!/4","type":"function"},{"doc":"","ref":"Firebirdex.html#prepare/4","title":"Firebirdex.prepare/4","type":"function"},{"doc":"","ref":"Firebirdex.html#prepare!/4","title":"Firebirdex.prepare!/4","type":"function"},{"doc":"","ref":"Firebirdex.html#prepare_execute/5","title":"Firebirdex.prepare_execute/5","type":"function"},{"doc":"","ref":"Firebirdex.html#prepare_execute!/5","title":"Firebirdex.prepare_execute!/5","type":"function"},{"doc":"","ref":"Firebirdex.html#query/4","title":"Firebirdex.query/4","type":"function"},{"doc":"","ref":"Firebirdex.html#query!/4","title":"Firebirdex.query!/4","type":"function"},{"doc":"","ref":"Firebirdex.html#rollback/2","title":"Firebirdex.rollback/2","type":"function"},{"doc":"","ref":"Firebirdex.html#start_link/1","title":"Firebirdex.start_link/1","type":"function"},{"doc":"","ref":"Firebirdex.html#transaction/3","title":"Firebirdex.transaction/3","type":"function"},{"doc":"","ref":"Firebirdex.Encoding.html","title":"Firebirdex.Encoding","type":"module"},{"doc":"","ref":"Firebirdex.Encoding.html#from_string!/2","title":"Firebirdex.Encoding.from_string!/2","type":"function"},{"doc":"","ref":"Firebirdex.Encoding.html#to_string!/2","title":"Firebirdex.Encoding.to_string!/2","type":"function"},{"doc":"","ref":"Firebirdex.Query.html","title":"Firebirdex.Query","type":"module"},{"doc":"","ref":"Firebirdex.Query.html#t:t/0","title":"Firebirdex.Query.t/0","type":"type"},{"doc":"","ref":"Firebirdex.Result.html","title":"Firebirdex.Result","type":"module"},{"doc":"","ref":"Firebirdex.Result.html#t:t/0","title":"Firebirdex.Result.t/0","type":"type"},{"doc":"","ref":"Firebirdex.Error.html","title":"Firebirdex.Error","type":"exception"},{"doc":"","ref":"Firebirdex.Error.html#message/1","title":"Firebirdex.Error.message/1","type":"function"},{"doc":"","ref":"Firebirdex.Error.html#t:t/0","title":"Firebirdex.Error.t/0","type":"type"},{"doc":"# Firebirdex\n\nElixir database driver for Firebird https://firebirdsql.org/","ref":"readme.html","title":"Firebirdex","type":"extras"},{"doc":"Firebird 2.5 or higher","ref":"readme.html#requirements","title":"Requirements - Firebirdex","type":"extras"},{"doc":"Add `:firebirdex` to your dependencies:\n\n```elixir\ndef deps() do\n  [\n    {:firebirdex, \"~> 0.3.9\"}\n  ]\nend\n```","ref":"readme.html#preparation","title":"Preparation - Firebirdex","type":"extras"},{"doc":"If the password is set in the FIREBIRD_PASSWORD environment variable, you can omit the password in the opts variable below.\n\n```elixir\nopts = [\n  hostname: \"servername\",\n  username: \"sysdba\",\n  password: \"password\",\n  database: \"/some/where/sample.fdb\",\n]\n\n{:ok, pid} = Firebirdex.start_link(opts)\n\n{:ok, %Firebirdex.Result{} = result} = Firebirdex.query(pid, \"SELECT * FROM rdb$relations where rdb$system_flag = ?\", [1])\n\nIO.inspect result.columns\nIO.inspect Enum.at result.rows, 0\n\n# Same as above (may raise an exception)\nresult = Firebirdex.query!(pid, \"SELECT * FROM rdb$relations where rdb$system_flag = ?\", [1])\n```","ref":"readme.html#example","title":"Example - Firebirdex","type":"extras"}]}